;;; --- Join Into polyline --------------------------------
;; Joins a selection set of contiguous lines, arcs, and/or polylines into a polyline.
;; Selection window can include inappropriate entities, which are ignored.
;; If ent1 isn't contiguous with any of the others, it'll just make ent1 into a polyline.
;; I don't know how it decides which one is ent1.
;; Sometimes it seems to take the oldest entity in the set (as it should).
;; But other times it seems to take the newest one.

(defun c:JoinInto ()
(setq ss1 (ssget "P"))
(princ "Join lines, arcs, polylines into a single polyline. ")
(setq ss1 (ssget '((0 . "LINE,ARC,POLYLINE,LWPOLYLINE"))))
(setq ent1 (ssname ss1 0))
(setq ent1codes (entget ent1))
(setq type1 (cdr (assoc 0 ent1codes) ))
(if (= type1 "LWPOLYLINE") (command "Pedit" ent1 "j" ss1 "" ))
(if (/= type1 "LWPOLYLINE") (command "Pedit" ent1 "y" "j" ss1 "" ""))
)